<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Carbon\Carbon;

use App\User;
use App\Countries;
use App\States;
use App\Cities;

class HomeController extends Controller
{

    public function payment_done(Request $request)
    {
        print_r($request->all());    
    }
    
    public function index()
    {
        if(\Auth::check()){
            $user = User::find(\Auth::user()->id);
            $user->last_login = Carbon::now()->toDateTimeString();
            $user->save();
            return redirect('/admin');
        }else{
            return redirect('/login');
        }
    }
    public function logout(){
        \Auth::logout();
        return redirect('/login');
    }
    public function saloonLogin(){
        return view('auth.saloon-login');
    }

    public function fetchStates(Request $request){
        $country_id = $request->input("country_id");
        $states = States::where("country_id",$country_id)->get();
        $options = '<option value="">Select State</option>';
        foreach($states as $state){
            $options .='<option value="'.$state->id.'">'.$state->name.'</option>';
        }

        $response['options'] = $options;
        $response['status'] = true;

        return response()->json($response); 
    }

    public function fetchCities(Request $request){
        $state_id = $request->input("state_id");
        $cities = Cities::where("state_id",$state_id)->get();
        $options = '<option value="">Select City</option>';
        foreach($cities as $city){
            $options .='<option value="'.$city->id.'">'.$city->name.'</option>';
        }

        $response['options'] = $options;
        $response['status'] = true;

        return response()->json($response); 
    }
}
