<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Validator;

use App\Saloons;
use App\Services;
use App\Settings;
class SettingsController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    /*public function list(){
    	$viewData['pageTitle'] = 'Services';
        $viewData['records'] = Services::orderBy('id','desc')->paginate();
        return view('services.list',$viewData);
    }*/
    
    /*public function addNew()
    {
        $viewData['pageTitle'] = 'Add Settings';
        $viewData['timestamp'] = time();
        $settings = array();
        $settings['razorpay_key'] = Settings::select("setting_value")->where("settings.setting_title", "Razorpay Keyid")->get()[0]->setting_value;
        $settings['razorpay_secret'] = Settings::select("setting_value")->where("settings.setting_title", "Razorpay Secret")->get()[0]->setting_value;
        $viewData['settings'] = $settings;
        return view('settings.add',$viewData);
    }

    public function save($settings_id,Request $request)
    {
        $validator = Validator::make($request->all(), [
            'razorpay_key' => 'required',
            'razorpay_secret' => 'required',
        ]);
        if ($validator->fails()) {
            return redirect()->back()->withErrors($validator)->withInput();
        }
        $settings = new Settings();
        $settings->where("setting_title", $setting_name);
        $settings->save(["setting_value" => $postdata]);
        
        $object = new Settings();
        $object->name = $request->input("razorpay_key");
        $object->name = $request->input("razorpay_secret");
        $object->created_by = \Auth::user()->id;
        if($request->input("status")){
        	$object->status = 1;	
        }else{
        	$object->status = 0;	
        }
        $object->save();


        return redirect('/admin/services')->with("success","Record added successfully");
    }*/

    public function edit()
    {
        $viewData['pageTitle'] = 'Edit Setting';
        $objSetting = new Settings();
        $settings['razorpay_key'] = $objSetting->getSetting("Razorpay Keyid");
        $settings['razorpay_secret'] = $objSetting->getSetting("Razorpay Secret");
        $settings['phonepay_merchant_id'] = $objSetting->getSetting("Phonepay Merchant Id");
        $settings['phonepay_salt_key'] = $objSetting->getSetting("Phonepay Salt Key");
        // $settings['phonepay_api_url'] = $objSetting->getSetting("Phonepay Api Url");
        $settings['twilio_phone_number'] = $objSetting->getSetting("Twilio Phone Number");
        $settings['twilio_sid'] = $objSetting->getSetting("Twilio SID");
        $settings['twilio_auth_token'] = $objSetting->getSetting("Twilio Auth Token");
        
        $settings['commission_percent'] = $objSetting->getSetting("Commission");
        $settings['app_version'] = $objSetting->getSetting("App Version");
        $settings['customer_app_version'] = $objSetting->getSetting("Customer App Version");
        $settings['barber_app_version'] = $objSetting->getSetting("Barber App Version");
        $settings['global_pin'] = $objSetting->getSetting("Global Pin");
        $settings['customer_charge'] = $objSetting->getSetting("Customer Charge");
        $viewData['settings'] = $settings;
        return view('settings.edit',$viewData);
    }

    public function update(Request $request){
        
        $validator = Validator::make($request->all(), [
            'razorpay_key' => 'required',
            'razorpay_secret' => 'required',
            //'phonepay_merchant_id' => 'required',
            //'phonepay_salt_key' => 'required',
            //'phonepay_api_url' => 'required',
            'twilio_phone_number' => 'required',
            'twilio_sid' => 'required',
            'twilio_auth_token' => 'required',
            
            'commission_percent' => 'required',
            'app_version' => 'required',
            'customer_app_version' => 'required',
            //'barber_app_version' => 'required',
            'global_pin' => 'required',
            'customer_charge' => 'required',
        ]);
        if ($validator->fails()) {
            return redirect()->back()->withErrors($validator)->withInput();
        }
        //echo "<pre>";print_r($request);exit;
        $ObjFunction = new Settings();
        $ObjFunction->saveSetting("Razorpay Keyid", $request->input('razorpay_key'));
        $ObjFunction->saveSetting("Razorpay Secret", $request->input('razorpay_secret'));
        $ObjFunction->saveSetting("Phonepay Merchant Id", $request->input('phonepay_merchant_id'));
        $ObjFunction->saveSetting("Phonepay Salt Key", $request->input('phonepay_salt_key'));
        // $ObjFunction->saveSetting("Phonepay Api Url", $request->input('phonepay_api_url'));
        $ObjFunction->saveSetting("Twilio Phone Number", $request->input('twilio_phone_number'));
        $ObjFunction->saveSetting("Twilio SID", $request->input('twilio_sid'));
        $ObjFunction->saveSetting("Twilio Auth Token", $request->input('twilio_auth_token'));
        
        $ObjFunction->saveSetting("Commission", $request->input('commission_percent'));
        $ObjFunction->saveSetting("App Version", $request->input('app_version'));
        $ObjFunction->saveSetting("Customer App Version", $request->input('customer_app_version'));
        $ObjFunction->saveSetting("Barber App Version", $request->input('barber_app_version'));
        $ObjFunction->saveSetting("Global Pin", $request->input('global_pin'));
        $ObjFunction->saveSetting("Customer Charge", $request->input('customer_charge'));
        return redirect('/admin/settings')->with("success","Record updated successfully");
    }
}