<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Ratings extends Model
{
   // use SoftDeletes;
    protected $table = 'ratings';

    public function Customer()
    {
        return $this->belongsTo('App\Customers','customer_id');
    }

    public function Country()
    {
        return $this->belongsTo('App\Countries','country_id');
    }

    public function State()
    {
        return $this->belongsTo('App\States','state_id');
    }

    public function City()
    {
        return $this->belongsTo('App\Cities','city_id');
    }
}
