<?php

namespace App\Services;
use Twilio\Rest\Client;
use Illuminate\Support\Facades\DB;

class CommonService

{

	public static function getValidationErrorMsg($validator)
	{

		$error = $validator->errors()->toArray();

        $errMsg = '';

        foreach($error as $err){

            $errMsg .= " ".$err[0];

        }



        return $errMsg;

	}

    public static function send_msg($mobile,$message){
        try{
            $merchantRes = DB::table("settings")
        ->select("setting_value")
        ->where("setting_title","=","Twilio SID")
        ->first();
        $merchantid = $merchantRes->setting_value;
        //
        $saltRes = DB::table("settings")
        ->select("setting_value")
        ->where("setting_title","=","Twilio Auth Token")
        ->first();

        $numbertRes = DB::table("settings")
        ->select("setting_value")
        ->where("setting_title","=","Twilio Phone Number")
        ->first();
        $twNumber = $numbertRes->setting_value;
            $sid    = $merchantRes->setting_value;
            $token  = $saltRes->setting_value;
            $twilio = new Client($sid, $token); 
            $twilio_number = "";
            $tmessage = $twilio->messages 
                            ->create(
                                    $mobile, // to 
                                    array(
                                        "from" => $twNumber,       
                                        "body" => $message 
                                    ) 
                            );

                            return $tmessage;
        }catch (\Exception $e){
            return $e->getMessage();
        } 
    }

}

?>