<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Settings extends Model
{
   // use SoftDeletes;
    protected $table = 'settings';
    public $timestamps = false;

    function getSetting($setting_title)
    {
        $setting = Settings::select("setting_value")->where("settings.setting_title", $setting_title)->get();
        $setting_value = $setting[0]->setting_value;
        return $setting_value;
    }

    function saveSetting($setting_title, $setting_value)
    {
    	$array_settings = array(
            "setting_value" => $setting_value,
            "setting_updated_at" => date("Y-m-d H:i:s")
        );
        Settings::where("setting_title", $setting_title)->update($array_settings);
    }
}
