<?php $__env->startSection('content'); ?>
<iframe id="export_frame" style="display:none;"></iframe>
<!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark"><?php echo e($pageTitle); ?></h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo e(url('/admin')); ?>">Dashboard</a></li>
              <li class="breadcrumb-item active"><?php echo e($pageTitle); ?></li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
        <div class="row">
          <div class="col-lg-12 col-12">
             <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title float-left">
                  <span class="mt-1 d-block">Fill form detail</span>
                </h3>
                <div class="float-right">
                  <a href="<?php echo e(url('admin/barbers')); ?>" class="btn btn-secondary btn-sm"><i class="fa fa-angle-left"></i> Back</a>
                </div>
                <div  class="clearfix"></div>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <form method="post" enctype='multipart/form-data'>
                <?php echo e(csrf_field()); ?>

                <div class="card-body">
                  <div class="form-group">
                    <label>Salon</label>
                    <select class="select2 <?php $__errorArgs = ['saloon_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="saloon_id" style="width: 100%;" required>
                      <option value="">Select Salon</option>
                      <?php $__currentLoopData = $saloons; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $salon): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                      <option <?php echo e(($salon->id == $record->saloon_id)?'selected':''); ?> value="<?php echo e($salon->id); ?>"><?php echo e($salon->saloon_name); ?></option>
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                    <?php $__errorArgs = ['saloon_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                        <div class="text-danger mt-2 mb-2" role="alert">
                            <strong><?php echo e($message); ?></strong>
                        </div>
                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                  </div>
                  <div class="form-group">
                    <label>Name</label>
                    <input type="text" class="form-control <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="name" value="<?php echo e($record->name); ?>" placeholder="Enter Name" required>
                    <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                        <div class="text-danger mt-2 mb-2" role="alert">
                            <strong><?php echo e($message); ?></strong>
                        </div>
                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                  </div>
                  <div class="form-group">
                    <label>Email</label>
                    <input type="email" class="form-control <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="email" value="<?php echo e($record->email); ?>" placeholder="Enter Email" required>
                    <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                        <div class="error invalid-feedback mt-2 mb-2" role="alert">
                            <strong><?php echo e($message); ?></strong>
                        </div>
                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                  </div>
                  <div class="form-group">
                    <label>Mobile</label>
                    <input type="text" class="form-control <?php $__errorArgs = ['mobile'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="mobile" value="<?php echo e($record->mobile); ?>" placeholder="Enter Mobile Number" required>
                    <?php $__errorArgs = ['mobile'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                        <div class="error invalid-feedback mt-2 mb-2" role="alert">
                            <strong><?php echo e($message); ?></strong>
                        </div>
                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                  </div>
                  
                  <div class="form-group">
                    <label>Password</label>
                    <input type="password" id="password" class="form-control <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="password" placeholder="Password">
                    <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                        <div class="error invalid-feedback mt-2 mb-2" role="alert">
                            <strong><?php echo e($message); ?></strong>
                        </div>
                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    <div class="mt-2">
                      <div class="icheck-primary d-inline">
                        <input type="checkbox" id="checkboxPrimary1" onchange="showPassword(this)">
                        <label for="checkboxPrimary1">Show Password</label>
                      </div>
                    </div>
                  </div>
                  <div class="form-group">
                    <label for="exampleInputFile">File input</label>
                    <div class="input-group">
                      <div class="custom-file">
                        <input type="file" class="custom-file-input" id="exampleInputFile" name="profile_image">
                        <label class="custom-file-label" for="exampleInputFile">Choose file</label>
                      </div>
                      <div class="input-group-append">
                        <span class="input-group-text">Upload</span>
                      </div>
                    </div>
                    <div class="mt-2">
                      <?php if($record->profile_image != '' && file_exists(public_path('uploads/profile_images/'.$record->profile_image))): ?>
                       <img src="<?php echo e(asset('public/uploads/profile_images/'.$record->profile_image)); ?>" class="img-circle elevation-2" width="80" height="80" />
                      <?php endif; ?>
                    </div>
                    <div class="mt-2">
                      <button type="button" id="btn_download" class="btn btn-default" onclick="downloadimage('<?php echo e($record->profile_image); ?>')"><i class="fa fa-download"></i> Download</button>
                    </div>
                  </div>
                  <!-- <div class="form-group">
                    <label>Services</label>
                    <select id="services" onchange="selectService(this.value)" multiple class="select2 <?php $__errorArgs = ['services'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="services[]" style="width: 100%;" required>
                    
                      <?php $__currentLoopData = $services; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $service): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                      <option <?php echo e((in_array($service->id,$bs_ids))?'selected':''); ?> value="<?php echo e($service->id); ?>"><?php echo e($service->name); ?></option>
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                    <?php $__errorArgs = ['services'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                        <div class="text-danger mt-2 mb-2" role="alert">
                            <strong><?php echo e($message); ?></strong>
                        </div>
                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                  </div> -->
                  <!-- <div class="form-group" id="barber_services"></div> -->
                  <div class="form-group">
                    <label>Status</label>
                    <div>
                      <input type="checkbox" name="status" <?php echo e(($record->status)?'checked':''); ?> data-bootstrap-switch>
                    </div>
                  </div>

                  <div class="schedule">
                    <?php $__errorArgs = ['schedule'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                        <div class="text-danger mt-2 mb-2" role="alert">
                            <strong><?php echo e($message); ?></strong>
                        </div>
                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    <a href="javascript:;" onclick="showPopupSchedule('<?php echo url('/admin/barbers/addschedule/'.$record->id) ?>')" class="btn btn-warning mr-2 btn-sm"><i class="fa fa-plus"></i> Add Schedule</a>
                    <span class="alert alert-danger" id="error_service_add">Please add a service first</span>
                    <div id="schedule" class="mt-2"></div>
                  </div>
                  
                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Submit</button>
                </div>
              </form>
            </div>
            <!-- /.card -->
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
<?php $__env->stopSection(); ?>

<?php $__env->startSection('javascript'); ?>
<link rel="stylesheet" href="assets/plugins/bs-stepper/css/bs-stepper.min.css">
<!-- <link rel="stylesheet" href="assets/plugins/daterangepicker/daterangepicker.css"> -->
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.17.47/css/bootstrap-datetimepicker-standalone.css" />
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/css/bootstrap-datepicker.css" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.17.47/js/bootstrap-datetimepicker.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/js/bootstrap-datepicker.min.js"></script>

<script src="assets/plugins/bootstrap-switch/js/bootstrap-switch.min.js"></script>
<script src="assets/plugins/bs-stepper/js/bs-stepper.min.js"></script>
<script src="assets/plugins/moment/moment.min.js"></script>
<!-- <script src="assets/plugins/daterangepicker/daterangepicker.js"></script> -->

<script type="text/javascript">
$(document).ready(function(){
    $("input[data-bootstrap-switch]").each(function(){
      $(this).bootstrapSwitch({
        onText:"Enable",
        offText:"Disable"
      });
    });
    $('#open-timepicker').datetimepicker({
      format: 'LT',
    });
    // .onChangeDateTime:function (selected) {
    //     alert(selected);
    //        $('#close-timepicker').datetimepicker("option", "minTime", selected);
    // })

    $('#close-timepicker').datetimepicker({
      format: 'LT',
      minTime:"8:48 PM"
    });
    // $('#timepicker').datetimepicker({
    //   format: 'LT'
    // })
})
function checkTime(){
  var timefrom = $('#open-timepicker input').val();
  var timeto =$('#close-timepicker input').val();

  if(timeto !='' && timefrom != ''){
    if(Date.parse(timeto) < Date.parse(timefrom)){
      errorMessage('Close time should be greater then open time');
      $("#close-timepicker input").val('');
    }
  }
}
function showPassword(e){
  if($(e).is(":checked")){
    $("#password").attr("type","text");
  }else{
    $("#password").attr("type","password");
  }
}
// getServices("<?php echo e($record->saloon_id); ?>");
function getServices(id){
  $.ajax({
    url:"<?php echo e(url('/admin/barbers/saloon-services')); ?>",
    type:"get",
    dataType:"json",
    data:{
      saloon_id:id,
      barber_id:"<?php echo e($record->id); ?>"
    },
    beforeSend:function(){
        $("#barber_services").html('');
    },
    success:function(response){
      $("#barber_services").html(response.services);
    },
    error:function(){
    }
  })
}
  // function selectService(value){
  //   $("#services option:selected").each(function(){
      
  //   }); 
  // }
  // function removeService(e,service_id){
  //   $(e).parents("tr").remove();
  //   $("#services option[value="+service_id+"]").prop("selected",false);
  //   var ser_ids = [];

  //   $("#barber_services .service_id").each(function(){
  //     ser_ids.push($(this).val());
  //   })
  //   if(ser_ids.length > 0){
  //     $('#services').select2('val', ser_ids);
  //   }else{
  //     $('#services').val('').trigger("change");
  //   }
  // }

function downloadimage(filename)
{
  $("#export_frame").attr("src","<?php echo e(url('admin/barbers/downloadimage')); ?>/"+filename);
}

loadSchedule("<?php echo e($record->id); ?>");
function loadSchedule(barber_id){
  $.ajax({
        url: "<?php echo e(url('admin/barbers/schedulelist')); ?>",
        data:{
          barber_id:barber_id
        },
        dataType:'json',
        beforeSend:function(){
            $("#schedule").html("<i class='fa fa-spin fa-spinner'></i>");

        },
        success:function(response){
          if(response.status == true){
              $("#schedule").html(response.contents);
          }else{
            errorMessage(response.message);
          }
        }
    });
}
$("#error_service_add").hide();
function showPopupSchedule(url)
{
  var isBarberService = '<?php echo e($is_barber_service); ?>';
  if(isBarberService == "Y")
  {
    $.ajax({
      url:url,
      type:"get",
      dataType:"json",
      beforeSend:function(){
          $("#popupModal .modal-dialog").html("<center><i class='fa fa-spin fa-spinner fa-3x'></i></center>");
      },
      success:function(response){
        if(response.status == true){
          $("#popupModal").html(response.contents);
        }else{
          $("#popupModal").html("<center class='text-danger'>Error while fetch form</center>");
        }
        $("#popupModal").modal("show");
      }
    });
    return false;
  }
  else
  {
    $("#error_service_add").show();
    setTimeout(function(){
      $("#error_service_add").hide();
    }, 3000);
    // toastr.error("<?php echo e(session('error')); ?>", "Please add a service first.");
  }
}
function closeModal(){
  $("#popupModal").modal("hide");
}
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\officework\anarasaloon\resources\views/barbers/edit.blade.php ENDPATH**/ ?>