 <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="<?php echo e(url('/admin')); ?>" class="brand-link">
      <span class="btn btn-secondary img-circle elevation-3" style="opacity: .8">
        AS
      </span>
      <span class="brand-text font-weight-light mt-2">Anara Salon</span>
    </a>
    <div class="sidebar">
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="assets/dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="#" class="d-block"><?php echo e(Auth::user()->name); ?></a>
          <a href="<?php echo e(url('admin/profile')); ?>" class="text-warning">Edit Profile</a>
        </div>
      </div>
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <li class="nav-item">
            <a href="<?php echo e(url('/admin')); ?>" class="nav-link">
              <i class="far fa-circle nav-icon"></i>
              <p>Dashboard</p>
            </a>
          </li>
          <li class="nav-item">
            <a href="<?php echo e(url('/admin/users')); ?>" class="nav-link">
              <i class="far fa-circle nav-icon"></i>
              <p>Admin Users</p>
            </a>
          </li>
          <!-- <li class="nav-item">
            <a href="<?php echo e(url('/admin/services')); ?>" class="nav-link">
              <i class="far fa-circle nav-icon"></i>
              <p>Services</p>
            </a>
          </li> -->
          <li class="nav-item">
            <a href="<?php echo e(url('/admin/customers')); ?>" class="nav-link">
              <i class="far fa-circle nav-icon"></i>
              <p>Customer</p>
            </a>
          </li>
          <li class="nav-item">
            <a href="<?php echo e(url('/admin/salons')); ?>" class="nav-link">
              <i class="far fa-circle nav-icon"></i>
              <p>Salons</p>
            </a>
          </li>
          <li class="nav-item">
            <a href="<?php echo e(url('/admin/barbers')); ?>" class="nav-link">
              <i class="far fa-circle nav-icon"></i>
              <p>Barbers</p>
            </a>
          </li>
          <li class="nav-item">
            <a href="<?php echo e(url('/admin/bookings')); ?>" class="nav-link">
              <i class="far fa-circle nav-icon"></i>
              <p>Bookings</p>
            </a>
          </li>
          <li class="nav-item">
            <a href="<?php echo e(url('/admin/reports')); ?>" class="nav-link">
              <i class="far fa-circle nav-icon"></i>
              <p>Reports</p>
            </a>
          </li>
          <li class="nav-item">
            <a href="<?php echo e(url('/admin/payments')); ?>" class="nav-link">
              <i class="far fa-circle nav-icon"></i>
              <p>Saloon Payments</p>
            </a>
          </li>
          <li class="nav-item">
            <a href="<?php echo e(url('/admin/refunds')); ?>" class="nav-link">
              <i class="far fa-circle nav-icon"></i>
              <p>Refund Requests</p>
            </a>
          </li>
          <li class="nav-item">
            <a href="<?php echo e(url('/admin/paymentsreport')); ?>" class="nav-link">
              <i class="far fa-circle nav-icon"></i>
              <p>Payment Report</p>
            </a>
          </li>
          <li class="nav-item">
            <a href="<?php echo e(url('/admin/settings')); ?>" class="nav-link">
              <i class="far fa-circle nav-icon"></i>
              <p>Settings</p>
            </a>
          </li>
        </ul>
      </nav>
    </div>
  </aside><?php /**PATH E:\xampp\htdocs\officework\anarasaloon\resources\views/layouts/sidebar.blade.php ENDPATH**/ ?>