<div class="modal-dialog modal-lg">
  <div class="modal-content">
    <div class="modal-header">
      <h4 class="modal-title"><?php echo e($pageTitle); ?></h4>
      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <form method="post" action="<?php echo e(url('admin/salons/services/add/'.$saloon_id)); ?>" id="modalForm">
          <?php echo e(csrf_field()); ?>

          <div class="card-body">
            
            <div class="form-group">
              <label>Service</label>
              <select id="states" name="service_id" class="form-control select2"  required>
                  <option value="">Select Service</option>
                  <?php $__currentLoopData = $services; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $service): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <option value="<?php echo e($service->id); ?>"><?php echo e($service->name); ?></option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
              </select>
              <?php $__errorArgs = ['service_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <div class="text-danger mt-2 mb-2" role="alert">
                      <strong><?php echo e($message); ?></strong>
                  </div>
              <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>
            <div class="form-group">
              <label>Service Name</label>
              <input type="text" class="form-control <?php $__errorArgs = ['service_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="service_name" value="" placeholder="Enter Service Name" required>
              <?php $__errorArgs = ['service_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <div class="text-danger mt-2 mb-2" role="alert">
                      <strong><?php echo e($message); ?></strong>
                  </div>
              <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>
            <div class="form-group">
              <label>Description</label>
              <input type="text" class="form-control <?php $__errorArgs = ['service_description'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="service_description" value="" placeholder="Enter service description" required>
              <?php $__errorArgs = ['service_description'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <div class="text-danger mt-2 mb-2" role="alert">
                      <strong><?php echo e($message); ?></strong>
                  </div>
              <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>
            <div class="form-group">
              <label>Duration</label>
              <input type="text" id="duration" class="form-control <?php $__errorArgs = ['duration'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="duration" value="" placeholder="HH:MM" required  data-inputmask='"mask": "99:99:99"' data-mask>
              <?php $__errorArgs = ['duration'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <div class="text-danger mt-2 mb-2" role="alert">
                      <strong><?php echo e($message); ?></strong>
                  </div>
              <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>
            <div class="form-group">
              <label>Price</label>
              <input type="text" class="form-control <?php $__errorArgs = ['price'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="price" value="" placeholder="Enter Price" required>
              <?php $__errorArgs = ['price'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                  <div class="text-danger mt-2 mb-2" role="alert">
                      <strong><?php echo e($message); ?></strong>
                  </div>
              <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>
          </div>
          <!-- /.card-body -->
        </form>
    </div>
    <div class="modal-footer justify-content-between">
      <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      <button type="submit" id="submit_form" form="modalForm" class="btn btn-primary">Save</button>
    </div>
  </div>
</div>
<script src="assets/plugins/inputmask/jquery.inputmask.min.js"></script>
<script>
$(document).ready(function(){
  initSelect();

  $('[data-mask]').inputmask();


  $("#modalForm").submit(function(e){
        e.preventDefault(); // avoid to execute the actual submit of the form.
        var url = $("#modalForm").attr("action");
        $.ajax({
            type: "POST",
            url: url,
            data:$("#modalForm").serialize(),
            dataType:'json',
            beforeSend:function(){
                $("#submit_form").html("<i class='fa fa-spin fa-spinner'></i>");
                $("#submit_form").attr("disabled","disabled");

            },
            success:function(response){
             $("#submit_form").removeClass("spinner-border spinner-border-sm");
              if(response.status == true){
                  successMessage(response.message); 
                  closeModal();
                  loadServices('<?php echo e($saloon_id); ?>');
              }else{
                errorMessage(response.message);
              }
            }
        });
    })
});
</script><?php /**PATH /home/blacourdb/public_html/salondemo/salon/resources/views/saloons/add-service.blade.php ENDPATH**/ ?>