<?php $__env->startSection('content'); ?>

<iframe id="export_frame" style="display:none;"></iframe>

<!-- Content Header (Page header) -->

    <div class="content-header">

      <div class="container-fluid">

        <div class="row mb-2">

          <div class="col-sm-6">

            <h1 class="m-0 text-dark"><?php echo e($pageTitle); ?></h1>

          </div><!-- /.col -->

          <div class="col-sm-6">

            <ol class="breadcrumb float-sm-right">

              <li class="breadcrumb-item"><a href="<?php echo e(url('/admin')); ?>">Dashboard</a></li>

              <li class="breadcrumb-item active"><?php echo e($pageTitle); ?></li>

            </ol>

          </div><!-- /.col -->

        </div><!-- /.row -->

      </div><!-- /.container-fluid -->

    </div>

    <!-- /.content-header -->



    <!-- Main content -->

    <section class="content">

      <div class="container-fluid">

        <!-- Small boxes (Stat box) -->

        <div class="row">

          <div class="col-lg-12 col-12">

             <!-- general form elements -->

            <div class="card card-primary">

              <div class="card-header">

                <h3 class="card-title float-left">

                  <span class="mt-1 d-block">Fill form detail</span>

                </h3>

                <div class="float-right">

                  <a href="<?php echo e(url('admin/defaultservices')); ?>" class="btn btn-secondary btn-sm"><i class="fa fa-angle-left"></i> Back</a>

                </div>

                <div  class="clearfix"></div>

              </div>

              <!-- /.card-header -->

              <!-- form start -->

              <form method="post" enctype='multipart/form-data'>

                <?php echo e(csrf_field()); ?>


                <div class="card-body">

                  <div class="form-group">

                    <label>Service Name</label>

                    <input type="text" class="form-control <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="name" value="<?php echo e($record->name); ?>" placeholder="Enter Name" required>

                    <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>

                        <div class="text-danger mt-2 mb-2" role="alert">

                            <strong><?php echo e($message); ?></strong>

                        </div>

                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                  </div>

                  <div class="form-group">

                    <label>Description</label>

                    <input type="text" class="form-control <?php $__errorArgs = ['description'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="description" value="<?php echo e($record->description); ?>" placeholder="Enter Description" required>

                    <?php $__errorArgs = ['description'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>

                        <div class="text-danger mt-2 mb-2" role="alert">

                            <strong><?php echo e($message); ?></strong>

                        </div>

                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                  </div>

                  <div class="form-group">

                    <label>Duration</label>

                    <input type="text" id="duration" class="form-control <?php $__errorArgs = ['duration'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="duration" value="<?php echo e($record->duration); ?>" placeholder="HH:MM" required  data-inputmask='"mask": "99:99:99"' data-mask>

                    <?php $__errorArgs = ['duration'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>

                        <div class="text-danger mt-2 mb-2" role="alert">

                            <strong><?php echo e($message); ?></strong>

                        </div>

                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                  </div>

                  <div class="form-group">

                    <label>Price</label>

                    <input type="text" class="form-control <?php $__errorArgs = ['price'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="price" value="<?php echo e($record->price); ?>" placeholder="Enter Price" required>

                    <?php $__errorArgs = ['price'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>

                        <div class="error invalid-feedback mt-2 mb-2" role="alert">

                            <strong><?php echo e($message); ?></strong>

                        </div>

                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                  </div>


                  <div class="form-group">

                    <label>Status</label>

                    <div>

                      <input type="checkbox" name="status" <?php echo e(($record->is_active)?'checked':''); ?> data-bootstrap-switch>

                    </div>

                  </div>
                  

                </div>

                <!-- /.card-body -->



                <div class="card-footer">

                  <button type="submit" class="btn btn-primary">Submit</button>

                </div>

              </form>

            </div>

            <!-- /.card -->

          </div>

        </div>

      </div><!-- /.container-fluid -->

    </section>

    <!-- /.content -->

<?php $__env->stopSection(); ?>



<?php $__env->startSection('javascript'); ?>

<link rel="stylesheet" href="assets/plugins/bs-stepper/css/bs-stepper.min.css">

<!-- <link rel="stylesheet" href="assets/plugins/daterangepicker/daterangepicker.css"> -->

<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.17.47/css/bootstrap-datetimepicker-standalone.css" />

<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/css/bootstrap-datepicker.css" />

<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.17.47/js/bootstrap-datetimepicker.min.js"></script>

<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/js/bootstrap-datepicker.min.js"></script>



<script src="assets/plugins/bootstrap-switch/js/bootstrap-switch.min.js"></script>

<script src="assets/plugins/bs-stepper/js/bs-stepper.min.js"></script>

<script src="assets/plugins/moment/moment.min.js"></script>


<script src="assets/plugins/inputmask/jquery.inputmask.min.js"></script>

<!-- <script src="assets/plugins/daterangepicker/daterangepicker.js"></script> -->



<script type="text/javascript">

$(document).ready(function(){

    
    $('[data-mask]').inputmask();

    $("input[data-bootstrap-switch]").each(function(){

      $(this).bootstrapSwitch({

        onText:"Enable",

        offText:"Disable"

      });

    });

})

</script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/blacourdb/public_html/salondemo/salon/resources/views/default_services/edit.blade.php ENDPATH**/ ?>