<?php $__env->startSection('content'); ?>
<!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark"><?php echo e($pageTitle); ?></h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo e(url('/admin')); ?>">Dashboard</a></li>
              <li class="breadcrumb-item active"><?php echo e($pageTitle); ?></li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
        <div class="row">
          <div class="col-lg-12 col-12">
             <div class="card">
              <div class="card-header">
                <h3 class="card-title float-left">Booking Detail</h3>
              </div>
              <!-- /.card-header -->
              <div class="card-body">
                <table class="table table-bordered">
                  <tbody>
                    <tr>
                      <!-- <th>Image</th> -->
                      <th>Customer</th>
                      <td><?php echo e($record->Customer->name); ?></td>
                    </tr>
                    <tr>
                      <th>Salon</th>
                      <td><?php echo e($record->Saloon->saloon_name); ?></td>
                    </tr>
                    <tr>
                      <th>Barber</th>
                      <td><?php echo e($record->Barber->name); ?></td>
                    </tr>
                    <tr>
                      <th>Time</th>
                      <td><?php echo e($record->from_time); ?> to <?php echo e($record->to_time); ?></td>
                    </tr>
                    <tr>
                      <th>Book Date</th>
                      <td><?php echo e(dateFormat($record->book_date)); ?></td>
                    </tr>
                    <tr>
                      <th>Services</th>
                      <td>
                        <?php $__currentLoopData = $record->BookingItems; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                          <div>
                            <b><?php echo e($item->SaloonService->service_name); ?> - </b> ₹<?php echo e($item->price); ?>

                          </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                      </td>
                    </tr>
                    <tr>
                      <th>Status</th>
                      <td>
                        <?php if($record->status == 'cancelled'): ?>
                           <span class="badge badge-warning">Cancelled</span>
                        <?php elseif($record->book_date." ".$record->to_time > date('Y-m-d H:i:s')): ?>
                           <span class="badge badge-success">Upcoming</span>
                        <?php else: ?>
                           <span class="badge badge-danger">Completed</span>
                        <?php endif; ?>
                      </td>
                    </tr>
                    <tr>
                      <th>Total Amount</th>
                      <td><h3>₹<?php echo e($record->total); ?></h3></td>
                    </tr>
                  </tbody>
                </table>
              </div>
              <!-- /.card-body -->
            </div>
          </div>
         
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <div class="modal fade" id="delete-confirmation">
        <div class="modal-dialog">
          <div class="modal-content">
            
            <div class="modal-header">
              <h4 class="modal-title">Confirm Delete</h4>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <p>Are you sure to delete the record?</p>
            </div>
            <div class="modal-footer justify-content-between">
              <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
              <button onclick="deleteUser()" type="button" class="btn btn-danger">Delete</button>
            </div>
          </div>
          <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
      </div>
    <!-- /.content -->
<?php $__env->stopSection(); ?>

<?php $__env->startSection("javascript"); ?>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/anarasalons.com/public_html/admin/resources/views/bookings/view-booking.blade.php ENDPATH**/ ?>