

<?php $__env->startSection('content'); ?>
<style type="text/css">
.dropdown-menu
{
  margin: 0px;
  padding: .0rem 0;
}
.dropdown-menu li
{
  display: block;
  padding: 2px;
}
.dropdown-menu li a.userAction
{
  text-decoration: none;
  color: #000;
  padding: 5px;
  display: block;
}
</style>
<?php
  use App\Saloons;
  use App\Barbers;
  use App\Customers;
?>
<!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark"><?php echo e($pageTitle); ?></h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo e(url('/admin')); ?>">Dashboard</a></li>
              <li class="breadcrumb-item active"><?php echo e($pageTitle); ?></li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
        <div class="row">
          <div class="col-lg-12 col-12">
             <div class="card">
              <div class="card-header">
                <h3 class="card-title float-left">Contact Us List</h3>
 <!--                <div class="float-right">
                  <a href="<?php echo e(url('admin/barbers/add')); ?>" class="btn btn-primary btn-sm"><i class="fa fa-plus"></i> Add New</a>
                  <div class="clearfix"></div>
                </div> -->
              </div>
              <!-- /.card-header -->
              <div class="card-body">
                <table class="table table-bordered">
                  <thead>
                    <tr>
                      
                      <th style="width: 10px">#</th>
                      
                      <th>Name</th>
                      <th>Type</th>
                      <th>Message</th>
                      <th>Attachment</th>
                    </tr>
                  </thead>
                  <tbody>
                    <?php if(count($records) > 0): ?>
                    <?php $__currentLoopData = $records; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $record): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                      <?php
                      $name = "";
                      $type = "";
                        if($record->type == "C")
                        {
                          $type = "Customer";
                          $barberRes = Customers::where('id',$record->customer_id)->first();
                          if(!empty($barberRes))
                          {
                            $name = $barberRes->name;
                          }
                        }
                        else if($record->type == "B")
                        {
                          $type = "Barber";
                          $barberRes = Barbers::where('id',$record->customer_id)->first();
                          if(!empty($barberRes))
                          {
                            $name = $barberRes->name;
                          }
                        }
                        else if($record->type == "O")
                        {
                          $type = "Salon";
                          $barberRes = Saloons::where('id',$record->customer_id)->first();
                          if(!empty($barberRes))
                          {
                            $name = $barberRes->saloon_name;
                          }
                        }

                      ?>
                    <tr>

                      <td><?php echo e($record->id); ?></td>
                      <td><?php echo e($name); ?></td>
                      <td><?php echo e($type); ?></td>
                      <td><?php echo e($record->message); ?></td>
                      <td>
                        <div class="profile_image">
                        <?php if($record->image != '' && file_exists('uploads/contact/'.$record->image)): ?>
                          <a href="<?php echo e(url('/uploads/contact/'.$record->image)); ?>" target="_new">
                            <img src="<?php echo e(url('/uploads/contact/'.$record->image)); ?>" class="img-circle elevation-2" width="80" height="80" />
                          </a>
                        <?php endif; ?>
                        </div>
                      </td>
                    </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php endif; ?>
                  </tbody>
                </table>
                <?php if(count($records) <= 0): ?>
                  <div class="text-danger text-center mt-1">No records available</div>
                <?php endif; ?>
              </div>
              <!-- /.card-body -->
              <div class="card-footer clearfix">
                <div class="pagination pagination-sm m-0 float-right">
                  <?php echo e($records->links()); ?>

                </div>
              </div>
            </div>
          </div>
         
        </div>
      </div><!-- /.container-fluid -->
    </section>


<?php $__env->stopSection(); ?>

<?php $__env->startSection("javascript"); ?>
<script>







</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/blacourdb/public_html/salondemo/salon/resources/views/contact_us/list.blade.php ENDPATH**/ ?>