<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Bookings extends Model
{
    protected $table = 'bookings';

    public function BookingItems()
    {
        return $this->hasMany('App\BookingItems','booking_id')->with("Service")->with('SaloonService');
    }

    public function Customer()
    {
        return $this->belongsTo('App\Customers','customer_id');
    }

    public function Barber()
    {
        return $this->belongsTo('App\Barbers','barber_id');
    }

    public function Saloon()
    {
        return $this->belongsTo('App\Saloons','saloon_id');
    }
}
