<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Customers extends Model
{
//	use SoftDeletes;
    protected $table = 'customers';
    public $casts = [
        'id' => 'string',
        'country_id' => 'string',
        'countryid' => 'string',
        'state_id' => 'string',
        'stateid' => 'string',
        'city_id' => 'string',
        'cityid' => 'string',
    ];

    public function Country()
    {
        return $this->belongsTo('App\Countries','country_id');
    }

    public function State()
    {
        return $this->belongsTo('App\States','state_id');
    }

    public function City()
    {
        return $this->belongsTo('App\Cities','city_id');
    }

    public function Bookings()
    {
        return $this->hasMany('App\Bookings','customer_id');
    }
}
