<?php

if (! function_exists('getFileType')) {
    function getFileType($ext) {
        $file_type = array(
            array("image"=>array("jpg","jpeg","png","gif","svg")),
            array("pdf"=>array("pdf")),
            array("doc"=>array("doc","docx","odt")),
        );
        $file_ext = '';
        foreach($file_type as $type){
            foreach($type as $key => $file){
                if(in_array($ext,$file)){
                    $file_ext =$key;
                }
            }
        }
        return $file_ext;
    }
}

if (! function_exists('pre')) {
    function pre($value,$exists=0) {
        echo "<pre>";
        print_r($value);
        echo "</pre>";
        if($exists == 1){
            die();
        }
    }
}

if (! function_exists('SessionUser')) {
    function SessionUser($role) {
        if($role == 'admin'){
            $user = Auth::user();
        }
        return $user;
    }
}


if (! function_exists('dateFormat')) {
    function dateFormat($date,$format = "M d, Y") {
        $date = date($format,strtotime($date));
        return $date;
    }
}

if(!function_exists("activeGuard")){
    function activeGuard(){

        foreach(array_keys(config('auth.guards')) as $guard){
            if(auth()->guard($guard)->check()) {
                return $guard;
            }
        }
        return '';
    }
}

if(!function_exists("companyName")){
    function companyName(){
        $company = 'Saloon';
        return $company;
    }
}



if(!function_exists("sendMail")){
    function sendMail($parameter){

        if(!isset($parameter['from'])){
            $parameter['from'] = mailFrom("email");
        }
        if(!isset($parameter['from_name'])){
            $parameter['from_name'] =mailFrom("name");
        }
        if(!isset($parameter['to_name'])){
            $parameter['to_name'] ='';
        }
        try{
            $data = array();
            if(isset($parameter['data'])){
               $data = $parameter['data']; 
            }
            // Mail::raw([], function ($m) use ($parameter) {
             $res = Mail::send($parameter['view'], $data, function ($m) use($parameter){
                $m->from($parameter['from'],$parameter['from_name']);
                // $m->setBody($parameter['message'], 'text/html' );
                // $m->setBody("<h1>Hello User</h1>", 'text/html' );
                $m->to($parameter['to'],$parameter['to_name'])->subject($parameter['subject']);
                if(isset($parameter['attachment'])){
                    $attachment = $parameter['attachment'];
                    for($i=0;$i < count($attachment);$i++){
                        $m->attach($attachment[$i]);
                    }
                }
            });
            $response['status'] = true;
            $response['message'] ="Mail send successfully";    
        } catch (Exception $e) {
            $response['status'] = false;
            $response['message'] = $e->getMessage();
        }
        return $response;
    }
}

if(!function_exists("generateString")){
    function generateString($n=15) { 
        $characters = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ'; 
        $randomString = ''; 
      
        for ($i = 0; $i < $n; $i++) { 
            $index = rand(0, strlen($characters) - 1); 
            $randomString .= $characters[$index]; 
        } 
      
        return $randomString; 
    } 
}