<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Validator;
use View;

use App\Saloons;
use App\Barbers;
use App\Customers;
use App\ContactUs;

class ContactUsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function list(){
        $viewData['pageTitle'] = 'Contact Us';
        // $viewData['records'] = Barbers::whereHas('Saloon')->orderBy('id','desc')->paginate();
        $viewData['records'] = ContactUs::where("is_deleted", 0)->where('is_active',1)->orderBy('id','desc')->paginate();
        return view('contact_us.list',$viewData);
    }
}
