<?php



namespace App\Http\Controllers\Scheduler;



use App\Http\Controllers\Controller;

use Illuminate\Http\Request;

use Validator;

use App\Customers;

use App\Saloons;

use App\SaloonServices;

use App\Services;

use App\Barbers;

use App\Bookings;

use App\BookingItems;

use App\Ratings;

use App\BarberSchedule;

use App\BarberBreak;

use App\ApiRequest;

use App\Notification;

use Carbon\Carbon;

use DB;



class ClearBookingController extends Controller

{

    public function __construct()

    {

        // header('Access-Control-Allow-Origin: *');

        // header('Access-Control-Allow-Methods: GET, PUT, POST, DELETE, OPTIONS');

        // header("Content-Type: application/json");

    }



    public function index()
    {

        // DB::enableQueryLog();

        $bookings = DB::table("bookings");

        $bookings = $bookings->select("bookings.id")

        ->where("bookings.status", "active")

        ->whereDate("bookings.book_date",date("Y-m-d"))

        ->where("bookings.payment_status", "P")

        ->where('bookings.created_at','<',Carbon::now()->subMinutes(5)->toDateTimeString())

        ->get();

        // print_r($bookings);
        // exit;
        if(!(empty($bookings)))

        {

            foreach ($bookings as $key => $value)
            {
                $booking = Bookings::find($value->id);
                
                if(empty($booking))
                {
                    
                }
                else
                {
                    $booking->status = "cancelled";
                    $booking->updated_at = date("Y-m-d H:i:s");
                    $booking->cancelled_at = date("Y-m-d H:i:s");
                    $booking->save();
                    
                }
            }

        }

    }

}