<?php

namespace App\Rules;

use Illuminate\Contracts\Validation\Rule;
use DB;
use App\RzpLog;

class RazorpayLinkAccount implements Rule
{
    /**
     * Create a new rule instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Determine if the validation rule passes.
     *
     * @param  string  $attribute
     * @param  mixed  $value
     * @return bool
     */
    public function passes($attribute, $value)
    {
        try {

            $settings_razorpay_keyid = \DB::table("settings")
            ->select("setting_value")
            ->where("setting_title","=","Razorpay Keyid")
            ->get();
            $setting_razorpaykeyid = $settings_razorpay_keyid[0]->setting_value;
            //
            $settings_razorpay_secret = \DB::table("settings")
            ->select("setting_value")
            ->where("setting_title","=","Razorpay Secret")
            ->get();
            $setting_razorpaysecret = $settings_razorpay_secret[0]->setting_value;

            $username = $setting_razorpaykeyid;
            $password = $setting_razorpaysecret;
            $verify = curl_init();
            curl_setopt($verify, CURLOPT_URL, 
"https://api.razorpay.com/v2/accounts/".$value);
            curl_setopt($verify, CURLOPT_SSL_VERIFYPEER, false);
            curl_setopt($verify, CURLOPT_RETURNTRANSFER, true);
            curl_setopt($verify, CURLOPT_USERPWD, "$username:$password");
            $response = curl_exec($verify);


            $res = json_decode($response);

            if(isset($res->id))
            {
                return true;
            }
            else{

                return false;
            }
            
        }
        catch (\Exception $e) {
            return false;
        }
    }

    /**
     * Get the validation error message.
     *
     * @return string
     */
    public function message()
    {
        return 'Invalid link account id';
    }
}
