<table class="table">
    <thead>
    <tr>
      <th colspan="6">Schedule</th>
    </tr>
    <tr>
      <th>Date</th>
      <th>From Time</th>
      <th>To Time</th>
      <th>Action</th>
    </tr>
    </thead>
    <tbody>
      @foreach($schedule as $key => $value)
      <tr>
          <td>
            {{$value->schedule_date}}
          </td>
          <td>
            {{$value->from_time}}
          </td>
          <td>
            {{$value->to_time}}
          </td>
          <td>
            <a href="javascript:;" onclick="showPopupSchedule('<?php echo url('/admin/barbers/editschedule/'.$value->id) ?>')" class="btn btn-warning mr-2 btn-sm"><i class="fa fa-edit"></i></a>
            @php
            $countB = App\Bookings::where("barber_id", $value->barber_id)
            ->where("book_date", $value->schedule_date)
            ->where("from_time", "<=", $value->from_time)
            ->where("to_time", ">=", $value->to_time)
            ->count();
            @endphp
            @if($countB == 0)
            <a href="javascript:;" onclick="confirmScheduleDelete('{{ $value->id }}')" class="btn btn-danger mr-2 btn-sm"><i class="fa fa-trash"></i></a>
            @endif
          </td>
      </tr>
      @endforeach
    </tbody>
</table>

<div class="modal fade" id="delete-service">
  <div class="modal-dialog">
    <div class="modal-content">
      
      <div class="modal-header">
        <h4 class="modal-title">Confirm Delete</h4>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <p>Are you sure to delete the record?</p>
      </div>
      <div class="modal-footer justify-content-between">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
        <button onclick="deleteSchedule()" type="button" class="btn btn-danger">Delete</button>
      </div>
    </div>
    <!-- /.modal-content -->
  </div>
  <!-- /.modal-dialog -->
</div>
<script type="text/javascript">
var schedule_id = '';
function confirmScheduleDelete(id){
  schedule_id = id;
  $("#delete-service").modal("show");
}
function deleteSchedule(){
  if(schedule_id != ''){
    var url = "{{ url('admin/barbers/deleteschedule') }}/"+schedule_id;
    redirect(url);
  }else{
    errorMessage("Invalid record selected");
  }
}
</script>