<div class="modal-dialog modal-lg">
  <div class="modal-content">
    <div class="modal-header">
      <h4 class="modal-title"><?php echo e($pageTitle); ?></h4>
      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <form method="post" action="<?php echo e(url('admin/barbers/saveschedule/'.$barber_id)); ?>" id="modalForm">
          <?php echo e(csrf_field()); ?>

          <div class="card-body">
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="form-group">
                  <label>Schdule Date</label>
                  <input type="text" class="form-control <?php $__errorArgs = ['schedule_date'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="schedule_date" id="schedule_date" value="" placeholder="Select Schdule Date" required>
                  <?php $__errorArgs = ['schedule_date'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                      <div class="text-danger mt-2 mb-2" role="alert">
                          <strong><?php echo e($message); ?></strong>
                      </div>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-6 col-sm-6 col-xs-12">
                <div class="form-group">
                  <label>From Time</label>
                  <input type='text' name="from_time" id='from_time' class="form-control <?php $__errorArgs = ['from_time'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" required />
                  <?php $__errorArgs = ['from_time'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                      <div class="text-danger mt-2 mb-2" role="alert">
                          <strong><?php echo e($message); ?></strong>
                      </div>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                </div>
              </div>
              <div class="col-md-6 col-sm-6 col-xs-12">
                <div class="form-group">
                  <label>To Time</label>
                  <input type='text' name="to_time" id='to_time' class="form-control <?php $__errorArgs = ['to_time'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" required />
                  <?php $__errorArgs = ['to_time'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                      <div class="text-danger mt-2 mb-2" role="alert">
                          <strong><?php echo e($message); ?></strong>
                      </div>
                  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                </div>
              </div>
            </div>
            
          </div>
          <!-- /.card-body -->
        </form>
    </div>
    <div class="modal-footer justify-content-between">
      <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      <button type="submit" id="submit_form" form="modalForm" class="btn btn-primary">Save</button>
    </div>
  </div>
</div>
<script src="assets/plugins/inputmask/jquery.inputmask.min.js"></script>
<script>
  $("#schedule_date").datepicker({
    format: "dd-mm-yyyy",
    defaultViewDate:"today",
    startDate:"today",
    todayHighlight:true,
    autoclose:true,
  });

  $('#from_time').datetimepicker({
    format: 'LT',
    icons: {
        time: "fa fa-clock-o",
        date: "fa fa-calendar",
        up: "fa fa-arrow-up",
        down: "fa fa-arrow-down"
    }
  });
  $('#to_time').datetimepicker({
    format: 'LT',
    icons: {
        time: "fa fa-clock-o",
        date: "fa fa-calendar",
        up: "fa fa-arrow-up",
        down: "fa fa-arrow-down"
    }
  });
$(document).ready(function(){
  initSelect();

  $('[data-mask]').inputmask();


  $("#modalForm").submit(function(e){
        e.preventDefault(); // avoid to execute the actual submit of the form.
        var url = $("#modalForm").attr("action");
        $.ajax({
            type: "POST",
            url: url,
            data:$("#modalForm").serialize(),
            dataType:'json',
            beforeSend:function(){
                // $("#submit_form").html("<i class='fa fa-spin fa-spinner'></i>");
                $("#submit_form").attr("disabled","disabled");

            },
            success:function(response){
             // $("#submit_form").removeClass("spinner-border spinner-border-sm");
              $("#submit_form").removeAttr("disabled");
              if(response.status == true){
                  successMessage(response.message); 
                  closeModal();
                  loadSchedule('<?php echo e($barber_id); ?>');
              }else{
                // errorMessage(response.message);
                errorMessageSchedule(response.message);
              }
            }
        });
    });
});

function errorMessageSchedule(message){
    toastr.error("<?php echo e(session('error')); ?>", message);
}
</script><?php /**PATH /home/blacourdb/public_html/salondemo/salon/resources/views/barbers/add-schedule.blade.php ENDPATH**/ ?>