<table class="table">
  <thead>
  <tr>
    <th colspan="3">Select Services</th>
  </tr>
  <tr>
    <th>
      <div class="icheck-primary d-inline">
        <input type="checkbox" id="checkboxPrimary-all">
        <label for="checkboxPrimary-all">
        </label>
      </div>
    </th>
    <th>Services</th>
    <th>Duration</th>
  </tr>
  </thead>
  <tbody>
    @foreach($services as $key => $service)
    <tr>
        <td>
          <input {{ !isset($barber_services[$service->id])?'disabled':'' }} type="hidden" name="services_ids[]" value="{{ $service->id }}" class="form-control" required />
          <div class="icheck-primary d-inline">
            <input {{ isset($barber_services[$service->id])?'checked':'' }} type="checkbox" id="checkboxPrimary-{{ $key }}" value="{{ $service->id }}" class="service_id" name="services[{{ $key }}][service_id]">
            <label for="checkboxPrimary-{{ $key }}">
            </label>
          </div>
        </td>
        <td>{{$service->Service->name}}</td>
        <td>
          <input {{ !isset($barber_services[$service->id])?'disabled':'' }} type="text" name="services[{{ $key }}][duration]" value="{{ isset($barber_services[$service->id])?$barber_services[$service->id]:'' }}" class="form-control" placeholder="HH:MM" required  data-inputmask='"mask": "99:99"' data-mask />
        </td>
    </tr>
    @endforeach
  </tbody>
</table>
<script src="assets/plugins/inputmask/jquery.inputmask.min.js"></script>
<script>
$(document).ready(function(){

  $("#checkboxPrimary-all").change(function(){
      if($(this).is(":checked")){
        $(".service_id").prop("checked",true);
        $("#barber_services .form-control").removeAttr("disabled");
      }else{
        $(".service_id").prop("checked",false);
        $("#barber_services .form-control").attr("disabled","disabled");
      }
  });

  $(".service_id").change(function(){
      if($(this).is(":checked")){
        $(this).parents('tr').find(".form-control").removeAttr("disabled");
      }else{
        $(this).parents('tr').find(".form-control").attr("disabled","disabled");
      }
  });
  $('[data-mask]').inputmask();
})
</script>