<table class="table">
    <thead>
    <tr>
      <th colspan="3">Selected Services</th>
    </tr>
    <tr>
      <th>Services</th>
      <th>Service Name</th>
      <th>Description</th>
      <th>Duration</th>
      <th>Price</th>
      <th>Action</th>
    </tr>
    </thead>
    <tbody>
      @foreach($services as $key => $service)
      <tr>
          <td>
                @if(!empty($service->Service))
                    {{$service->Service->name}}
                @endif
          </td>
          <td>
            {{$service->service_name}}
          </td>
          <td>
            {{$service->service_description}}
          </td>
          <td>
            {{$service->duration}}
          </td>
          <td>
            {{$service->price}}
          </td>
          <td>
            <a href="javascript:;" onclick="showPopup('<?php echo url('/admin/salons/services/edit/'.$service->id) ?>')" class="btn btn-warning mr-2 btn-sm"><i class="fa fa-edit"></i></a>
            <a href="javascript:;" onclick="confirmServiceDelete('{{ $service->id }}')" class="btn btn-danger mr-2 btn-sm"><i class="fa fa-trash"></i></a>
          </td>
      </tr>
      @endforeach
    </tbody>
</table>

<div class="modal fade" id="delete-service">
  <div class="modal-dialog">
    <div class="modal-content">
      
      <div class="modal-header">
        <h4 class="modal-title">Confirm Delete</h4>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <p>Are you sure to delete the record?</p>
      </div>
      <div class="modal-footer justify-content-between">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
        <button onclick="deleteService()" type="button" class="btn btn-danger">Delete</button>
      </div>
    </div>
    <!-- /.modal-content -->
  </div>
  <!-- /.modal-dialog -->
</div>
<script type="text/javascript">
var service_id = '';
function confirmServiceDelete(id){
  service_id = id;
  $("#delete-service").modal("show");
}
function deleteService(){
  if(service_id != ''){
    var url = "{{ url('admin/salons/services/delete') }}/"+service_id;
    redirect(url);
  }else{
    errorMessage("Invalid record selected");
  }
}
</script>